// src/xt-form/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        item: {
            type: Object,
            value: {
                key: '', // 必传，输入框的key值，唯一性
                title: '', // 标题
                value: '', // 展示的值
                maxlength: -1, // 默认为-1
                placeholder: '', // 输入框为空时占位符
                // 输入框类型：input-普通输入框 select-选择框 inputBtn-带按钮 inputUnit-带单位
                inputType: '',
                unit: '', // 单位输入框的单位文案
                btnText: '', // 按钮输入框的按钮文案
                icon: '', // 带icon选择框，icon的链接地址
                iconSize: '', // incon大小类型： big-定位或其它图标  small-右箭头
                error: '', // 输入框下方的错误提示信息文案
                showError: false, // 是否展示 error信息
                type: '', // 输入框的输入类型， 非必传，不传则默认为文本
                disabled: false,
                backColor: '', // 背景色，默认#f5f5f5
            }
        },
    },

    /**
     * 组件的初始数据
     */
    data: {
        focus: false, // 是否聚焦
        value: '', // 输入框的值
        type: 'text', // 输入框的输入类型， 默认为文本
        maxlength: -1, // 默认没有maxlength
        disabled: false, // 默认不禁用
        backColor: '#f5f5f5', // 默认灰色
    },

    /**
     * 组件的方法列表
     */
    methods: {
        onFocus() {
            this.setData({
                focus: true
            })
        },
        onBlur(e) {
            let item = e.currentTarget.dataset.item;
            item.value = this.data.value;
            this.setData({
                focus: false
            })
            this.triggerEvent('onBlur', item);
        },
        onInputChange(e) {
            let item = e.currentTarget.dataset.item;
            this.setData({
                value: e.detail.value
            })
            this.triggerEvent('onInputChange', item);
        },
        // 点击选择框
        onOpenSelect(e) {
            let item = e.currentTarget.dataset.item;
            if (item.disabled) {
                return;
            }
            this.triggerEvent('onOpenSelect', item);
        },
        // 点击输入框中的按钮
        onBtnClick(e) {
            let item = e.currentTarget.dataset.item;
            if (item.disabled) {
                return;
            }
            this.triggerEvent('onBtnClick', item);
        },
    }
})
