# Popover 底部弹窗

### 介绍
底部操作弹窗

###效果图
![效果图](https://img.tanjiu.cn/home/azzMHcemDKsstcMWTx7C5SeQM5yPwTwX.png "Popover效果图")

### 引入
在app.json或页面配置json中引入
```
"usingComponents": {
    "xt-popover": "@xtdev/xt-miniprogram-ui/xt-popover",
}
```

## 代码演示

### 基础用法

#### 操作样式

```
   <xt-popover show="{{isShow1}}" itemTextKey="name" operates="{{operates}}" type="{{type}}"  bind:onChooseItemClick="chooseItemClick" bind:onClose="closePopover"></xt-popover>
```

#### 文本样式

```
<xt-popover title="Popover 弹出框-文本样式" show="{{isShow2}}" type="{{type}}" textContent="{{textContent}}" bind:onClose="closePopover" bind:onConfirm="confirm"></xt-popover>
```

#### 选择样式-单选

```
<xt-popover title="Popover 弹出框-选择样式-单选" show="{{isShow3}}" type="{{type}}" itemTextKey="areaName" contrastId="areaId" bind:onConfirm="confirm" sourceData="{{sourceData}}" selectData="{{selectData}}" bind:onChooseItemClick="chooseItemClick" bind:onClose="closePopover"></xt-popover>
```

#### 选择样式-多选

```
<xt-popover title=" Popover 弹出框-选择样式-多选" show="{{isShow4}}" type="{{type}}" itemTextKey="areaName" contrastId="areaId" bind:onConfirm="confirm" sourceData="{{sourceData}}" selectData="{{selectData}}" bind:onChooseItemClick="chooseItemClick" bind:onClose="closePopover"></xt-popover>
```

## API

#### xt-popover props

| 参数         | 说明        |  类型      |  默认值        |
| ----------- | ----------- | ---------- | ------------  |
| type      | 弹窗类型，可选值为 `operate` `text` `single` `multiple` | string |  `operate`
| zIndx      | z-index 层级 | number | `999`
| title      | 弹窗标题                          | string |  `无`
| show  | 是否展示弹窗                      | boolean | `false`
| showCloseIcon      | 是否展示弹窗关闭图标 | boolean | `true`
| textContent      | 弹窗类型为 `text` 的文本内容 | string |   `无`
| itemTextKey      | 弹窗类型为 `operate`  `single` `multiple`    的文本内容的 key | string |    `无`
| operates     | 弹窗类型为 `operate` 时的操作数组 | array |   `无`
| sourceData      | 总的数据 | array |    `[]`
| selectData      | 选中的数据 | array |  `[]`
| contrastId      | 用于是否选中数据对比的依据 | string |   `无`



####Events

| 事件名            | 说明          |  回调参数               |
| ---------------- | ------------- | ---------------------- |
| bind:onChooseItemClick      |  弹窗类型为 `operate`  `single` `multiple` 点击没有项触发的事件 | event.detail.chooseItem 为选择的数据
| bind:onClose      | 点击关闭icon触发的事件 
bind:onConfirm | 弹窗类型为 `text`  `multiple` 时点击确定触发的事件 | event.detail.chooseData
