Component({
    /**
     * 组件的属性列表
     */
    properties: {
      // 搜索框样式，是否是圆的，默认为方
      isCircle: {
        type: Boolean,
        value: true
      },
      placeholder: {
        type: String,
        value: "请输入内容"
      },
      // 是否自动聚焦
      isFocus: {
        type: Boolean,
        value: false
      },
      value: {
        type: String,
        value: ''
      },
      // 是否远程搜索，如果为true。点击输入框将只执行onFocus指令。适用于跳转新页面搜索场景
      remote: {
        type: Boolean,
        value: false
      },
      rightBtnText: {
        type: String,
        value: '搜索'
      }
    },
  
    /**
     * 组件的初始数据
     */
    data: {
      isActive: false,
      // 输入框的输入值
      inputVal: ''
    },
  
    /**
     * 组件的方法列表
     */
    methods: {
      onFocus() {
        if (!this.data.remote) {
          this.setData({
            isActive: true
          });
        }
        this.triggerEvent('onFocus');
      },
      onBlur() {
        this.setData({
          isActive: false
        });
        this.triggerEvent('onBlur');
      },
      onInput(e) {
        this.setData({
          inputVal: e.detail.value
        });
        this.triggerEvent('onInput', e.detail.value);
      },
      clearInpVal() {
        this.setData({
          inputVal: ''
        });
        if (!this.data.isActive) {
          this.triggerEvent('onClear');
        }
      },
      onSearch() {
        this.triggerEvent('onSearch', this.data.inputVal);
      }
    },
    observers: {
      value(val) {
        this.setData({
          inputVal: val
        });
      }
    }
  });
  