# Icon图标

### 介绍
用于表单列表上传图片

###效果图
![效果图](https://img.tanjiu.cn/home/p4fiMjw3F7ssMNhQxafHCnsn8ZZ8m67Q.png "列表uploader效果图")

### 引入
在app.json或页面配置json中引入
```
"usingComponents": {
    "xt-uploader": "@xtdev/xt-miniprogram-ui/xt-uploader",
}
```

## 代码演示

### 基础用法

```
<xt-uploader title="标题标题"></xt-uploader>
```

##API

####xt-uploader props

| 参数        | 说明         |  类型      |  默认值
| ----------- | ----------- | ---------- |  --------  |
| fileList      | 图片列表，必传，受控组件 | Array<String> | `[]`
| title      | 表单标题 | string |
| max      | 上传最大值，每次可选照片数，默认为9 | number | 9
| upload-desc      | 上传文案说明 | `String` |
| custom-upload      | 是否自定义上传,true 点击盒子触发upload | boolean | `false`
| disabled   | 是否禁用，禁用时不能删除和上传,可预览  | boolean |  `false`
| sourceType   | 照片来源  | `Array<String>` | ["album", "camera"]
| upload-api   | 组件库放公网，上传接口api，必传  | {url: 'https://...',fileDir: 'microComponents'} |

####Events

| 事件名            | 说明          |  回调参数               |
| ---------------- | ------------- | ---------------------- |
| bind:upload      | 上传成功后触发，如果customUpload为true则点击上传及触发 | fileList:图片列表, url：当前上传图片地址 |
| bind:delete      | 删除成功后触发 | fileList:图片列表, url：当前删除图片地址，index：当前删除图片索引 |
| bind:error      | 上传失败后触发 | errMsg: 失败原因 |
